Zum Hauptinhalt springen
POST
/
kling
/
lip-sync
Kling Lip Sync API
curl --request POST \
  --url https://api.acedata.cloud/kling/lip-sync \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "success": true,
  "task_id": "0c0b4d3a-2f1e-4a6b-9c2d-2b3c4d5e6f70",
  "video_id": "895047463190134880",
  "video_url": "https://cdn.acedata.cloud/bafb400e8a.mp4",
  "duration": 5,
  "state": "succeed"
}

Autorisierungen

Authorization
string
header
erforderlich

Body

application/json
mode
enum<string>
erforderlich

Kling Lip Sync Mode

Verfügbare Optionen:
audio2video,
text2video
video_id
string

Kling Lip Sync Video Id

video_url
string<uri>

Kling Lip Sync Video Url

audio_url
string<uri>

Kling Lip Sync Audio Url

audio_type
enum<string>
Standard:url

Kling Lip Sync Audio Type

Verfügbare Optionen:
url,
file
audio_file
string

Kling Lip Sync Audio File

text
string

Kling Lip Sync Text

Maximum string length: 120
voice_id
string

Kling Lip Sync Voice Id

voice_language
enum<string>
Standard:zh

Kling Lip Sync Voice Language

Verfügbare Optionen:
zh,
en
voice_speed
number
Standard:1

Kling Lip Sync Voice Speed

Erforderlicher Bereich: 0.8 <= x <= 2
callback_url
string<uri>

Kling Lip Sync Callback Url

async
boolean
Standard:false

Kling Lip Sync Async

Antwort

Kling Lip Sync Response 200

The response is of type object.